OpenIsle Docs
API 概览
Send message POST
React to message POST
Api
Messages
Messageid
Reactions

# React to message

React to a message

POST
/`api`/`messages`/`{messageId}`/`reactions`

## Authorization

Authorization Bearer <token>

In: `header`

## Path Parameters

messageId integer
Format `int64`

## Request Body

type?string
Value in`"LIKE" | "DISLIKE" | "SMILE" | "RECOMMEND" | "CONGRATULATIONS" | "ANGRY" | "FLUSHED" | "STAR_STRUCK" | "ROFL" | "HOLDING_BACK_TEARS" | "MIND_BLOWN" | "POOP" | "CLOWN" | "SKULL" | "FIRE" | "EYES" | "FROWN" | "HOT" | "EAGLE" | "SPIDER" | "BAT" | "CHINA" | "USA" | "JAPAN" | "KOREA"`

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/messages/0/reactions" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "id": 0,
      "type": "LIKE",
      "user": "string",
      "postId": 0,
      "commentId": 0,
      "messageId": 0,
      "reward": 0
    }

Mark conversation read POST

Previous Page

Unread message count GET

Next Page

    curl -X POST "https://www.open-isle.com/api/messages/0/reactions" \
      -H "Content-Type: application/json" \
      -d '{}'